package com.sqx.modules.resumes.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.sqx.common.utils.Result;
import com.sqx.modules.resumes.entity.Company;
import com.sqx.modules.resumes.entity.PostPush;
import com.sqx.modules.utils.excel.ExcelData;

public interface CompanyService extends IService<Company> {

    Result insertCompany(Company company,Long userId);

    Result updateCompany(Company company);

    Result auditContent(String ids,String content,Integer status);

    Company selectCompanyByUserId(Long userId);

    Result selectCompanyList(Integer page, Integer limit, String startTime, String endTime, String companyName, String companyPhone, String userName, Integer status);

    Company selectCompanyByCompanyId(Long companyId);

    Result selectCompanyListByMember(Integer page,Integer limit);

    Result giveCompany(String phone,String msg,String givePhone);

    ExcelData exportExcelCompanyList(String startTime, String endTime, String companyName, String companyPhone, String userName, Integer status);

    Result listCompany(Integer page, Integer limit, String companyName, String city, String companyScope, String companyPeople);

    Result selectCompanyPostPushList(String key, PostPush postPush, Integer page, Integer limit, Double lat, Double lng);

}
